Package relaxngcc.runtime

## Class NGCCPlainHandler

- java.lang.Object
- - relaxngcc.runtime.NGCCPlainHandler

- All Implemented Interfaces:
    `org.xml.sax.ContentHandler`

      public abstract class NGCCPlainHandler
      extends java.lang.Object
      implements org.xml.sax.ContentHandler

  Base class for classes generated by RelaxNGCC for typed-sax and plain-sax modes.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `abstract boolean` | `accepted()` |
    `void` | `characters​(char[] ch, int start, int length)` |
    `void` | `endDocument()` |
    `void` | `endElement​(java.lang.String uri, java.lang.String localname, java.lang.String qname)` |
    `void` | `endPrefixMapping​(java.lang.String prefix)` |
    `abstract void` | `enterElement​(java.lang.String uri, java.lang.String localName, java.lang.String qname)` |
    `void` | `ignorableWhitespace​(char[] ch, int start, int length)` |
    `abstract void` | `leaveElement​(java.lang.String uri, java.lang.String localName, java.lang.String qname)` |
    `abstract void` | `processAttribute()` |
    `void` | `processingInstruction​(java.lang.String target, java.lang.String data)` |
    `void` | `setDocumentLocator​(org.xml.sax.Locator loc)` |
    `void` | `skippedEntity​(java.lang.String name)` |
    `void` | `startDocument()` |
    `void` | `startElement​(java.lang.String uri, java.lang.String localname, java.lang.String qname, org.xml.sax.Attributes atts)` |
    `void` | `startPrefixMapping​(java.lang.String prefix, java.lang.String uri)` |
    `abstract void` | `text​(java.lang.String value)` |

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### enterElement

          public abstract void enterElement​(java.lang.String uri,
                                            java.lang.String localName,
                                            java.lang.String qname)
                                     throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### leaveElement

          public abstract void leaveElement​(java.lang.String uri,
                                            java.lang.String localName,
                                            java.lang.String qname)
                                     throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### text

          public abstract void text​(java.lang.String value)
                             throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### processAttribute

          public abstract void processAttribute()
                                         throws org.xml.sax.SAXException

      Throws:
        `org.xml.sax.SAXException`

    - #### accepted

          public abstract boolean accepted()

    - #### startDocument

          public void startDocument()

      Specified by:
        `startDocument` in interface `org.xml.sax.ContentHandler`

    - #### endDocument

          public void endDocument()
                           throws org.xml.sax.SAXException

      Specified by:
        `endDocument` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startElement

          public void startElement​(java.lang.String uri,
                                   java.lang.String localname,
                                   java.lang.String qname,
                                   org.xml.sax.Attributes atts)
                            throws org.xml.sax.SAXException

      Specified by:
        `startElement` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endElement

          public void endElement​(java.lang.String uri,
                                 java.lang.String localname,
                                 java.lang.String qname)
                          throws org.xml.sax.SAXException

      Specified by:
        `endElement` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### characters

          public void characters​(char[] ch,
                                 int start,
                                 int length)
                          throws org.xml.sax.SAXException

      Specified by:
        `characters` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### ignorableWhitespace

          public void ignorableWhitespace​(char[] ch,
                                          int start,
                                          int length)
                                   throws org.xml.sax.SAXException

      Specified by:
        `ignorableWhitespace` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### startPrefixMapping

          public void startPrefixMapping​(java.lang.String prefix,
                                         java.lang.String uri)
                                  throws org.xml.sax.SAXException

      Specified by:
        `startPrefixMapping` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### endPrefixMapping

          public void endPrefixMapping​(java.lang.String prefix)
                                throws org.xml.sax.SAXException

      Specified by:
        `endPrefixMapping` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### setDocumentLocator

          public void setDocumentLocator​(org.xml.sax.Locator loc)

      Specified by:
        `setDocumentLocator` in interface `org.xml.sax.ContentHandler`

    - #### processingInstruction

          public void processingInstruction​(java.lang.String target,
                                            java.lang.String data)
                                     throws org.xml.sax.SAXException

      Specified by:
        `processingInstruction` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`

    - #### skippedEntity

          public void skippedEntity​(java.lang.String name)
                             throws org.xml.sax.SAXException

      Specified by:
        `skippedEntity` in interface `org.xml.sax.ContentHandler`
      Throws:
        `org.xml.sax.SAXException`